# Generated from cocot-1.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cocot

Name: rubygem-%{gem_name}
Version: 1.1.3
Release: 1%{?dist}
Summary: Skeleton builder of a new proyect which could be developed with BDD/TDD
License: cocot
URL: https://github.com/IgorJorobus/cocot
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Skeleton builder of a new proyect which could be developed with BDD/TDD. This
application build the folders and files needed to start developing fast a new
proyect potentially BDD/TDD oriented. For that, it's supposed that will be
used Cucumber and/or RSpec(perhaps also minitest).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/cocot
%license %{gem_instdir}/License.md
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%doc %{gem_instdir}/ReadMe.md
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.3-1
- Initial package
